import kdtree
import numpy as np

if __name__ == "__main__":
    X = np.load("X.npy")
    tree = kdtree.KDTree(X, leaf_size=256)
    print("done")
    n_query = 2 # X.shape[0] // 100000
    k = 1
    Y = np.random.rand(n_query, X.shape[1])

    knn_indices = np.zeros((n_query, k), dtype=np.int32)
    knn_distances = np.zeros((n_query, k), dtype=np.float64)
    tree.query(Y, knn_indices, knn_distances)

